---@meta

---@class ABP_PassengerChair_C : ABP_Seatable_TruckPart_01_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SM_PassengerChair_Top_01 UStaticMeshComponent
local ABP_PassengerChair_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_PassengerChair_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
function ABP_PassengerChair_C:OnSeatRotationUpdated() end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_PassengerChair_C:InpActEvt_IA_MovePassengerSeat_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param EntryPoint int32
function ABP_PassengerChair_C:ExecuteUbergraph_BP_PassengerChair(EntryPoint) end


